# frozen_string_literal: true

require 'role_management/stores/role_documents_directory'

FactoryBot.define do
  factory :role_document, class: RoleManagement::Stores::RoleDocument do
    name { "Test Role Document" }
    description { "This is a test role document" }
    customer_crn { "crn:1:tenant/1" }
    created_by_crn { "crn:1:user/3871" }
    updated_by_crn { "crn:1:user/3871" }
    system_defined { false }
    is_deleted { false }
    organization_id { "crn:1:organization/17 "}
  end
end
